ServerEvents.recipes(event => {
    event.remove({output: 'storagedrawers:controller'})
})
  
ServerEvents.recipes(event => {
    //Storage Controller
    event.shaped('storagedrawers:controller',
      ['121','343','121'], {
        1: 'allthecompressed:stone_block_1x', 
        2: '#c:quartz_blocks',
        3: '#storagedrawers:drawers',
        4: '#forge:ingots/steel'
    }).id('storagedrawers:controller')
    
    //Storage Upgrade 1
    event.shaped('storagedrawers:obsidian_storage_upgrade',
        ['111','232','111'], {
          1: '#forge:rods/wooden', 
          2: '#forge:obsidian',
          3: 'storagedrawers:upgrade_template'
      }).id('storagedrawers:obsidian_storage_upgrade')
    
    //Storage Upgrade 2
    event.shaped('storagedrawers:iron_storage_upgrade',
        ['111','232','111'], {
          1: '#forge:rods/wooden', 
          2: '#forge:ingots/iron',
          3: 'storagedrawers:obsidian_storage_upgrade'
      }).id('storagedrawers:iron_storage_upgrade')
    
    //Storage Upgrade 3
    event.shaped('storagedrawers:gold_storage_upgrade',
        ['111','232','111'], {
          1: '#forge:rods/wooden', 
          2: '#forge:ingots/gold',
          3: 'storagedrawers:iron_storage_upgrade'
      }).id('storagedrawers:gold_storage_upgrade')
    
    //Storage Upgrade 4
    event.shaped('storagedrawers:diamond_storage_upgrade',
        ['111','232','111'], {
          1: '#forge:rods/wooden', 
          2: '#forge:gems/diamond',
          3: 'storagedrawers:gold_storage_upgrade'
      }).id('storagedrawers:diamond_storage_upgrade')
    
    //Storage Upgrade 5
    event.shaped('storagedrawers:emerald_storage_upgrade',
        ['111','232','111'], {
          1: '#forge:rods/wooden', 
          2: '#forge:gems/emerald',
          3: 'storagedrawers:diamond_storage_upgrade'
      }).id('storagedrawers:emerald_storage_upgrade')
})